Delete certification_body by id
DELETE /obp/dynamic-entity/certification_body/CERTIFICATION_BODY_ID
OBPv4.0.0-dynamicEntity_deletecertification_body_ Roles: CanDeleteDynamicEntityRecord_certification_body(per bank) _Certification_bodyDynamic-EntityDynamic
Delete certification_body by id
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"certification_body"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"certification_body_id": "cb_01HZZ1M2A3B4C5D6E7F8",
"legal_name": "DNV Business Assurance Germany GmbH",
"address_line_1": "Brooktorkai 18",
"address_line_2": "5th Floor",
"address_city": "Hamburg",
"address_postcode": "20457",
"country_code": "DE",
"logo": "https://cdn.example.org/logos/dnv.png"
}Example success response
{
"certification_body": {
"certification_body_id": "cb_01HZZ1M2A3B4C5D6E7F8",
"legal_name": "DNV Business Assurance Germany GmbH",
"address_line_1": "Brooktorkai 18",
"address_line_2": "5th Floor",
"address_city": "Hamburg",
"address_postcode": "20457",
"country_code": "DE",
"logo": "https://cdn.example.org/logos/dnv.png"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.